classification
Title: IDLE icon switched and switches on Windows taskbar
Type: behavior Stage: resolved
Components: IDLE, Windows Versions: Python 3.3
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: georg.brandl, loewis, roger.serwy, terry.reedy
Priority: normal Keywords:

Created on 2012-04-05 19:34 by terry.reedy, last changed 2014-02-26 22:58 by terry.reedy. This issue is now closed.

Messages (5)
msg157611 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2012-04-05 19:34
IDLE has an icon that is, appropriately, a white page with text overlaid with the Python logo on lower right. (Module docs uses the same icon.) For a long time, this has been used everywhere for IDLE -- start menu, desktop, taskbar.
 
In the latest 3.2.3rc2 and 3.3.0a2 releases, the Windows 7 taskbar icon for IDLE is the red Tk icon. If IDLE is pinned to the taskbar, the icon changes to the command-prompt + logo python-pythonw icon. This seems to be new in these releases and is confusing and annoying. Otherwise, the IDLE icon is as it was.
msg157633 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2012-04-06 01:56
I tried again and 3.2.3rc2 is working. The IDLE icon appears and right clicking gives its title as IDLE (Python GUI).

3.3.0a2 is worse than I reported. The reason the icon changes to the pythonw icon is because that is what gets pinned, not IDLE. Right clicking the Tk icon actually says pythonw. A bare pythonw process is, of course, useless.
msg165742 - (view) Author: Roger Serwy (roger.serwy) * (Python committer) Date: 2012-07-18 05:28
With 3.3.0b1 amd64, I can pin IDLE to the taskbar with the appropriate icon (white page with Python logo). When I unpin IDLE with an editor window focused, the icon becomes the Tk logo. However, re-pinning the app brings back the other icon.

Terry, can you verify that the latest builds work?
msg165747 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2012-07-18 08:09
In the next alpha release, everything was fine and I though about closing this. When I first installed b1, the problem came back. But in a few days, 3.3.0b1 started working right. I did two things since to my installed idlelib, beside just using it. First was my last 12510 calltips push July 9. Second was Ned's 4832 .py default extension patch about the 12th. I plan to watch more carefully is there is a problem after the next b2.
msg212322 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2014-02-26 22:58
This may be related to #18052. In any case, I do not have the problem now.
History
Date User Action Args
2014-02-26 22:58:36terry.reedysetstatus: open -> closed
type: behavior
messages: + msg212322

resolution: out of date
stage: resolved
2012-07-18 08:09:36terry.reedysetmessages: + msg165747
2012-07-18 05:28:40roger.serwysetnosy: + roger.serwy
messages: + msg165742
2012-07-18 02:33:32roger.serwysetcomponents: + Windows
2012-07-18 02:32:41roger.serwysetcomponents: + IDLE, - Installation, Windows
2012-04-06 01:56:44terry.reedysetmessages: + msg157633
versions: - Python 3.2
2012-04-05 19:34:52terry.reedycreate